Bug 1533943 - net-snmp doesn't support ZFS disks
Summary: net-snmp doesn't support ZFS disks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: net-snmp
Version: 7.6
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Josef Ridky
QA Contact: David Jež
Ioanna Gkioka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-12 15:33 UTC by Trunet
Modified: 2018-10-30 07:27 UTC (History)
5 users (show)

Fixed In Version: net-snmp-5.7.2-35.el7
Doc Type: Release Note
Doc Text:
New features in _net-snmp_ The _net-snmp_ package in Red Hat Enterprise Linux 7 has been extended with the following new features: * _net-snmp_ now supports monitoring disks of ZFS file system. * _net-snmp_ now supports monitoring disks of ASM Cluster (AC) file system.
Clone Of:
Environment:
Last Closed: 2018-10-30 07:26:47 UTC


Attachments (Terms of Use)
net-snmp-5.7.2-implement-zfs-disk.patch (1.86 KB, patch)
2018-01-12 15:33 UTC, Trunet
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3015 None None None 2018-10-30 07:27:19 UTC

Description Trunet 2018-01-12 15:33:18 UTC
Created attachment 1380452 [details]
net-snmp-5.7.2-implement-zfs-disk.patch

Description of problem:
snmpd doesn't enumerate ZFS disks

Version-Release number of selected component (if applicable):
net-snmp-5.7.2-28.el7

Attached patch implements this.

Comment 2 Josef Ridky 2018-01-15 07:38:47 UTC
Backport from upstream version. 

Moving to RHEL-7.6

Comment 3 Dimitri Maziuk 2018-02-06 19:21:07 UTC
Is this going into el6 as well or should we open a separate report for it?

Comment 4 Josef Ridky 2018-02-07 05:21:43 UTC
This change will not be part of RHEL-6, due RHEL-6 is already in production phase 3, which means that only Critical impact Security Advisories and selected Urgent Priority Bug Fix Advisories may be addressed. Please see https://access.redhat.com/support/policy/updates/errata#Production_3_Phase for further information.

Comment 10 errata-xmlrpc 2018-10-30 07:26:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3015


Note You need to log in before you can comment on or make changes to this bug.